:root {
/* ●カラーセット：デフォルト（カラーLED） */

/* ■■■■■■■■■■■■■■ カラー設定（色調） ■■■■■■■■■■■■■■ */

/* LED-青 */
--color-ledblue: rgb(0,144,255);

/* LED-赤 */
--color-ledred: rgb(288,0,48);

/* LED-オレンジ */
--color-ledorange: rgb(255,162,0);

/* LED-緑 */
--color-ledgreen: rgb(0,255,51);

/* 消灯部 */
--color-gray: rgba(177,177,255,  0.18);

/* 彫刻文字 */
--color-printchar: rgb(165,165,176);

/* 背景-黒 */
--color-back: rgb(0,0,0);

/* ■■■■■■■■■■■■■■ カラー設定（場所ごとの色） ■■■■■■■■■■■■■■ */

/* 時刻・日時の色 */
--led-on-color0:  var(--color-ledblue);
--led-ref-color0: var(--color-ledblue);

/* 天気マークの色 */
--led-on-color1:  var(--color-ledorange);
--led-ref-color1: var(--color-ledorange);

/* 天気予報欄の数字の色 */
--led-on-color2:  var(--color-ledred);
--led-ref-color2: var(--color-ledred);

/* パイロットランプ（正常）の色 */
--led-on-color3:  var(--color-ledgreen);
--led-ref-color3: var(--color-ledgreen);

/* パイロットランプ（異常：点滅）の色 */
--led-on-color4:  var(--color-ledred);
--led-ref-color4: var(--color-ledred);

/* テロップ文字の色 */
--led-on-color5:  var(--color-ledorange);
--led-ref-color5: var(--color-ledorange);

/* LED等消灯部の色 */
--led-off-color: var(--color-gray);

/* 機械彫刻文字の色 */
--print-color0: var(--color-printchar);

/* 背景色 */
--bgcolor: var(--color-back);

/* ■■■■■■■■■■■■■■ カラー設定（周囲光の係数） ■■■■■■■■■■■■■■ */

/* LEDの場合1.00（標準のにじみ） 液晶の場合0.00（にじみ無し）が推奨値 */
--shadowrate: 1.00;

}
/* ■■■■■■■■■■■■ 変数設定ここまで  以下周囲光の設定 ■■■■■■■■■■■■ */

.clock-hourmin.on{
	text-shadow: 0vw 0vw calc(0.80vw * var(--r) * var(--shadowrate)) var(--led-ref-color0), 0vw 0vw calc(1.20vw * var(--r) * var(--shadowrate)) var(--led-ref-color0);
}

.clock-sec.on{
	text-shadow: 0vw 0vw calc(0.45vw * var(--r) * var(--shadowrate)) var(--led-ref-color0), 0vw 0vw calc(1.20vw * var(--r) * var(--shadowrate)) var(--led-ref-color0);
}

.clock-date.on, .clock-week.on, .clock-ampm.on, .clock-date-s.on, .clock-week-s.on{
	text-shadow: 0vw 0vw calc(0.30vw * var(--r) * var(--shadowrate)) var(--led-ref-color0), 0vw 0vw calc(1.20vw * var(--r) * var(--shadowrate)) var(--led-ref-color0);
}

.weather-digit.on{
	text-shadow: 0vw 0vw calc(0.80vw * var(--r) * var(--shadowrate)) var(--led-ref-color2);
}

.weather-digit-s.on{
	text-shadow: 0vw 0vw calc(0.70vw * var(--r) * var(--shadowrate)) var(--led-ref-color2);
}

.weather-mark.on{
	text-shadow: 0vw 0vw calc(0.80vw * var(--r) * var(--shadowrate)) var(--led-ref-color1);
}

.weather-mark-s.on{
	text-shadow: 0vw 0vw calc(0.70vw * var(--r) * var(--shadowrate)) var(--led-ref-color1);
}

span.telop{
	text-shadow: 0vw 0vw calc(0.50vw * var(--r) * var(--shadowrate)) var(--led-ref-color1);
}

.pilotlamp.ok{
	text-shadow: 0vw 0vw calc(1.00vw * var(--r) * var(--shadowrate)) var(--led-ref-color3);
}
.pilotlamp.ng{
	text-shadow: 0vw 0vw calc(1.00vw * var(--r) * var(--shadowrate)) var(--led-ref-color4);
}
